Title
gcd / lcm and bool for the WP
Status
c++17
Section
[numeric.ops.gcd][numeric.ops.lcm]
Submitter
Walter Brown

Created on 2016-08-01.00:00:00, last changed 2017-07-30.20:15:43.

Messages

Date: 2016-08-02.17:19:11

Proposed resolution:

This wording is relative to N4606.

  1. Adjust [numeric.ops.gcd] p2 as indicated:

    template<class M, class N>
      constexpr common_type_t<M, N> gcd(M m, N n);
    

    […]

    -2- Remarks: If either M or N is not an integer type, or if either is (possibly cv-qualified) bool, the program is ill-formed.

  2. Adjust [numeric.ops.lcm] p2 as indicated:

    template<class M, class N>
      constexpr common_type_t<M, N> lcm(M m, N n);
    

    […]

    -2- Remarks: If either M or N is not an integer type, or if either is (possibly cv-qualified) bool, the program is ill-formed.

Date: 2016-08-02.17:19:11

[ 2016-08, Chicago ]

Monday PM: Moved to Tentatively Ready

Date: 2016-08-01.00:00:00

With the acceptance of gcd and lcm in the working draft, the same problem as pointed out by LWG 2733 exists here as well and should be fixed accordingly.

History
Date User Action Args
2017-07-30 20:15:43adminsetstatus: wp -> c++17
2016-11-14 03:59:28adminsetstatus: pending -> wp
2016-11-14 03:55:22adminsetstatus: ready -> pending
2016-08-02 17:19:11adminsetmessages: + msg8335
2016-08-02 17:19:11adminsetstatus: new -> ready
2016-08-01 18:45:15adminsetmessages: + msg8297
2016-08-01 00:00:00admincreate